package cz.muni.fi.pa165.dao.person;

import cz.muni.fi.pa165.dao.BaseDaoImpl;
import cz.muni.fi.pa165.dao.exceptions.DaoDataAccessException;
import cz.muni.fi.pa165.entity.PersonEntity;
import org.springframework.stereotype.Repository;

import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;

/**
 * @author Dominik Kozubík
 */
@Repository
public class PersonDaoImpl extends BaseDaoImpl<PersonEntity> implements PersonDao {

    @PersistenceContext
    private EntityManager em;

    public PersonDaoImpl() {
        super(PersonEntity.class);
    }

    @Override
    public PersonEntity findByUsername(String username) {
        try {
            return em.createQuery("select e from " + entityClass.getName() + " e where e.username like :username", entityClass)
                    .setParameter("username", username).getSingleResult();
        } catch (Exception e) {
            return null;
        }
    }
}
