package cz.muni.fi.pa165.entity;

import lombok.Getter;
import lombok.Setter;

import javax.persistence.*;
import java.util.HashSet;
import java.util.Objects;
import java.util.Set;

/**
 * @author Dominik Kozubík
 */
@Setter
@Getter
@Entity
public class MatchEntity extends BaseEntity {

    @OneToMany(mappedBy = "team")
    private Set<PlayerEntity> playerList = new HashSet<>();

    @ManyToOne(cascade = CascadeType.ALL)
    @JoinColumn(name = "tournament_id", referencedColumnName = "id")
    private TournamentEntity tournament;

    @ManyToMany(mappedBy = "matches")
    private Set<TeamEntity> teams = new HashSet<>();

    @ManyToMany
    @JoinTable(
            name = "players_compete",
            joinColumns = @JoinColumn(name = "match_id"),
            inverseJoinColumns = @JoinColumn(name = "player_id")
    )
    private Set<PlayerEntity> players = new HashSet<>();
}
