package cz.muni.fi.pa165.entity;

import cz.muni.fi.pa165.enums.CountryEnum;
import lombok.Data;

import javax.persistence.Column;
import javax.persistence.Entity;
import java.time.LocalDate;

/**
 * @author mvalko
 */

@Entity
@Data
public class PersonEntity extends BaseEntity {

    @Column(nullable = false)
    private String name;

    private LocalDate dateOfBirth;

    private CountryEnum country;

    private String username;

    private String passwordHash;

    private boolean admin;

    public PersonEntity() {
    }

    public PersonEntity(String name){
        this.name = name;
    }

    public PersonEntity(String name, LocalDate dateOfBirth, CountryEnum country){
        this(name);
        this.dateOfBirth = dateOfBirth;
        this.country = country;
    }
}
