package cz.muni.fi.pa165.facade;

import cz.muni.fi.pa165.dto.TournamentDTO;
import cz.muni.fi.pa165.entity.TeamEntity;
import cz.muni.fi.pa165.entity.TournamentEntity;
import cz.muni.fi.pa165.services.BeanMappingService;
import cz.muni.fi.pa165.services.tournament.TournamentService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import java.util.ArrayList;
import java.util.List;
import java.util.Optional;
import java.util.UUID;

@Service
@Transactional
public class TournamentFacadeImpl implements TournamentFacade {

    @Autowired
    private TournamentService tournamentService;

    @Autowired
    private BeanMappingService beanMappingService;

    @Override
    public List<TournamentDTO> getTournamentByCity(String cityName) {
        List<TournamentDTO> listDto = new ArrayList<>();
//        mapper.map(service.getTournamentsByCity(cityName), listDto);

        return listDto;
    }

    @Override
    public List<TournamentDTO> getTournamentsWonBy(TeamEntity team) {
        List<TournamentDTO> listDto = new ArrayList<>();
//        mapper.map(service.getTournamentsWonBy(team), listDto);

        return listDto;
    }

    @Override
    public List<TournamentDTO> findAllTournament() {
        return beanMappingService.mapTo(tournamentService.findAll(), TournamentDTO.class);
    }

    @Override
    public TournamentDTO getTournamentById(String uuid) {
        TournamentEntity tournament = tournamentService.findById(uuid);
        return (tournament == null) ? null : beanMappingService.mapTo(tournament, TournamentDTO.class);
    }

    @Override
    public String createTournament(TournamentDTO tournamentDTO) {
        TournamentEntity tournament = new TournamentEntity();

        tournament.setCity(tournamentDTO.getCity());
        tournament.setName(tournamentDTO.getName());
        tournament.setCountry(tournamentDTO.getCountry());
        tournament.setTournamentFormat(tournamentDTO.getTournamentFormat());
        tournament.setPrizePool(tournamentDTO.getPrizePool());
        tournament.setTeamCapacity(tournamentDTO.getTeamCapacity());

        tournamentService.create(tournament);
        return  tournament.getId();
    }

    @Override
    public void delete(String uuid) {
        var tournament = new TournamentEntity();
        tournament.setId(uuid);
        tournamentService.remove(tournament);
    }
}
