<%@ page contentType="text/html;charset=UTF-8" pageEncoding="utf-8" trimDirectiveWhitespaces="false" session="false" %>
<%@ taglib tagdir="/WEB-INF/tags" prefix="my" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="s" uri="http://www.springframework.org/tags" %>
<%@ taglib prefix="form" uri="http://www.springframework.org/tags/form" %>

<my:pagetemplate title="New match">
<jsp:attribute name="body">

    <form:form method="post" action="${pageContext.request.contextPath}/match/create"
               modelAttribute="matchCreate" cssClass="form-horizontal">
        <div class="form-group">
            <form:label path="tournament" cssClass="col-sm-2 control-label">Tournament</form:label>
            <div class="col-sm-10">
                <form:select path="tournamentId" required="required" cssClass="form-control">
                    <c:forEach items="${tournaments}" var="t">
                        <form:option value="${t.id}">${t.id}</form:option>
                    </c:forEach>
                </form:select>
                <form:errors path="tournamentId" cssClass="error"/>
            </div>
        </div>
        <div class="form-group">
            <form:label path="teams" cssClass="col-sm-2 control-label">Team</form:label>
            <div class="col-sm-10">
                <form:select path="teams" required="required" cssClass="form-control">
                    <c:forEach items="${teams}" var="team">
                        <form:option value="${team}">${team.name}</form:option>
                    </c:forEach>
                </form:select>
                <form:errors path="teams" cssClass="error"/>
            </div>

        <button class="btn btn-primary" type="submit">Create match</button>
    </form:form>

</jsp:attribute>
</my:pagetemplate>
